2004-10-28	xfade	configure,config/acx_libpq.m4	
Configure options should override the default searchpath.

=================================

2004-11-02	darcyb	share/slon.conf-sample	
Include a sample documented slon config file, Thanks Ed L. for the initail work

=================================

2004-11-02	darcyb	GNUmakefile.in,share/Makefile	
install the sample conf, when doing a make install

=================================

2004-11-08	cbbrowne	src/backend/slony1_base.sql	
Added documentation on columns that were not previously documented

=================================

2004-11-10	cbbrowne	src/backend/slony1_funcs.c,src/backend/slony1_funcs.sql	
Fixed typos, added further schema documentation to C functions

=================================

2004-11-10	cbbrowne	src/backend/slony1_funcs.sql	
Add in "draft" version of RebuildListenEntries() that generates
sl_listen entries automatically whenever sl_path and sl_subscribe
change

=================================

2004-11-10	cbbrowne	doc/adminguide/README,doc/adminguide/SlonyAddThings.txt,doc/adminguide/SlonyAdministrationScripts.txt,doc/adminguide/SlonyConcepts.txt,doc/adminguide/SlonyDDLChanges.txt,doc/adminguide/SlonyDefineCluster.txt,doc/adminguide/SlonyDefineSet.txt,doc/adminguide/SlonyDropThings.txt,doc/adminguide/SlonyFAQ.txt,doc/adminguide/SlonyFAQ01.txt,doc/adminguide/SlonyFAQ02.txt,doc/adminguide/SlonyFAQ03.txt,doc/adminguide/SlonyFAQ04.txt,doc/adminguide/SlonyFAQ05.txt,doc/adminguide/SlonyFAQ06.txt,doc/adminguide/SlonyFAQ07.txt,doc/adminguide/SlonyFAQ08.txt,doc/adminguide/SlonyFAQ09.txt,doc/adminguide/SlonyFAQ10.txt,doc/adminguide/SlonyFAQ11.txt,doc/adminguide/SlonyFAQ12.txt,doc/adminguide/SlonyFAQ13.txt,doc/adminguide/SlonyFAQ14.txt,doc/adminguide/SlonyFAQ15.txt,doc/adminguide/SlonyFAQ16.txt,doc/adminguide/SlonyFAQ17.txt,doc/adminguide/SlonyFAQ18.txt,doc/adminguide/SlonyHandlingFailover.txt,doc/adminguide/SlonyHelp.txt,doc/adminguide/SlonyHowtoFirstTry.txt,doc/adminguide/SlonyIAdministration.txt,doc/adminguide/SlonyInstallation.txt,doc/adminguide/SlonyIntroduction.txt,doc/adminguide/SlonyListenPaths.txt,doc/adminguide/SlonyListenerCosts.txt,doc/adminguide/SlonyMaintenance.txt,doc/adminguide/SlonyPrerequisites.txt,doc/adminguide/SlonyReshapingCluster.txt,doc/adminguide/SlonySlonConfiguration.txt,doc/adminguide/SlonySlonik.txt,doc/adminguide/SlonyStartSlons.txt	
Add in material from Slony-I wiki that will become an "Administration
Guide."

=================================

2004-11-12	cbbrowne	src/ducttape/test_1_pgbench,src/ducttape/test_2_pgbench,src/ducttape/test_3_pgbench,src/ducttape/test_4_pgbench,src/ducttape/test_5_pgbench	
Make "ducttape" scripts that use pgbench aware of varying GNU Make names

=================================

2004-11-12	cbbrowne	src/backend/slony1_funcs.sql	
Add FUNCTION generate_sync_event () - to try to add SYNCs even if slon isn't running

=================================

2004-11-13	wieck	src/backend/slony1_funcs.sql,src/ducttape/test_1_pgbench,src/ducttape/test_2_pgbench,src/slon/local_listen.c,src/slon/remote_worker.c,src/slon/runtime_config.c,src/slon/slon.c,src/slon/slon.h	
Here is a first full functional and activated rebuiltListenEntries().
Any change to sl_node, sl_path and sl_subscribe causes slon to reload
the listen configuration. The logic is slightly different from what
was first discussed and probably not in its final state. But it passes
various configurations without any need to restart slon.

Jan

=================================

2004-11-18	cbbrowne	src/ducttape/test_6_autolisten	
A gratuitously complex test case which generates 6 nodes, and
uses rebuildlistenentries() to generate the listen network

=================================

2004-11-19	cbbrowne	doc/howto/slony-I-basic-mstr-slv.txt	
Basic tutorial now allows having Slony-I nodes on separate hosts

=================================

2004-11-19	cbbrowne	tools/altperl/create_set.pl,tools/altperl/init_cluster.pl	
These scripts were at one point generating multiple slonik
scripts to set up clusters/sets.

As they only generate a single script, they now do so via one
opening of files, and don't bother having multiple preambles

=================================

2004-11-19	cbbrowne	src/backend/slony1_base.sql,src/backend/slony1_funcs.c,src/backend/slony1_funcs.sql	
Comments for sl_setsync, revisions to generate_sync_event(), new table maintenance function, add_missing_table_field(), textual and comment changes

=================================

2004-11-23	cbbrowne	tools/altperl/reset_cluster.pl	
The "reset_cluster.pl" script is broken and should become unnecessary
in 1.1...

=================================

2004-11-25	darcyb	src/backend/slony1_funcs.sql	
Make cbbrowne's functions work as conceptualy  intended

=================================

2004-11-25	cbbrowne	src/ducttape/test_1_pgbench,src/ducttape/test_2_pgbench,src/ducttape/test_3_pgbench,src/ducttape/test_4_pgbench,src/ducttape/test_5_pgbench	
sh portability change - Use [ -z $WHATEVER ] ; rather than [[ $WHATEVER == "" ]];

=================================

2004-11-25	cbbrowne	tools/generate_syncs.sh	
branches:  1.1.2;
Add in "generate_syncs.sh" script to use the new "generate_sync_event()" procedure that can generate SYNCs even if the origin's slon is down.

=================================

2004-11-25	darcyb	src/backend/slony1_funcs.sql	
supply missing arg to function comment, make function parse properly

=================================

2004-11-25	darcyb	src/backend/slony1_funcs.sql	
Add a missing ' to correct parse error

=================================

2004-11-26	darcyb	src/slon/conf-file.sample	
Duplicate file, share/slon.conf-sample is the correct home for this

=================================

2004-11-29	darcyb	src/slon/confoptions.c,src/slon/confoptions.h	
Make it possible to easly obtain the value of a conf option

=================================

2004-12-01	darcyb	src/slon/Makefile	
clean should yank the corefile too

=================================

2004-12-01	wieck	src/backend/slony1_base.sql,src/backend/slony1_funcs.sql,src/ducttape/test_1_update_functions,src/slonik/slonik.c	
Added new function upgradeSchema(old_version). Slonik now determines
the currently loaded slony1_funcs.sql version by calling slonyVersion()
before updating the functions. It then calls upgradeSchema(old_version)
so that this function can perform all the required modifications to the
slony1_base schema depending on the old version.

Jan

=================================

2004-12-02	wieck	src/backend/slony1_funcs.sql,src/slon/remote_worker.c,src/slonik/parser.y,src/slonik/scan.l,src/slonik/slonik.c,src/slonik/slonik.h	
Added option "spoolnode = yes/no" to "store node" command.
If spoolnode=yes is specified, the sl_node entry will have
no_spool=true and slonik does not attempt to initialize a
database for it.

Jan

=================================

2004-12-02	cbbrowne	README	
Changes reflecting the build changes in 1.1

=================================

2004-12-02	cbbrowne	doc/howto/slonik_commands.html	
Minor rewordings

=================================

2004-12-02	wieck	src/backend/slony1_funcs.sql,src/slonik/slonik.c	
Changed so that subscribeSet() is called on the data provider
instead of the receiver. It should finally be called on the
set origin and replace ENABLE SUBSCRIPTION entirely, but that
is a way bigger change. With what we have so far it is possible
to create and subscribe a virtual spool node.

Jan

=================================

2004-12-02	cbbrowne	tools/altperl/move_set.pl	
Remove unnecessary UNLOCK SET from move set script

=================================

2004-12-02	cbbrowne	src/slon/README	
Added overview of what the components of slon do

=================================

2004-12-02	wieck	doc/howto/slonik_commands.html	
Added spoolnode option to slonik command doc.

Jan

=================================

2004-12-03	wieck	src/slonik/slonik.c	
Create confirm records for all old events when slonik creates
a spool node.

Jan

=================================

2004-12-04	cbbrowne	tools/altperl/slon-tools.pm,tools/altperl/slon_watchdog2.pl	
Added in node_is_subscribing() function to make watchdog less aggressive about restarting slon nodes

If a node is in the process of being subscribed, then you can get
long-running COPY requests that run for hours (this happens if it's a
very large database).

slon_watchdog2.pl therefore has two criteria to use to "throttle" its
slon; thus if there has not been a local event on the node in the
interval $killafter, then it will kill (and ultimately restart) the slon
UNLESS a subscription is in progress.

=================================

2004-12-06	cbbrowne	doc/adminguide/Makefile,doc/adminguide/addthings.sgml,doc/adminguide/adminscripts.sgml,doc/adminguide/cluster.sgml,doc/adminguide/concepts.sgml,doc/adminguide/ddlchanges.sgml,doc/adminguide/defineset.sgml,doc/adminguide/dropthings.sgml,doc/adminguide/failover.sgml,doc/adminguide/filelist.sgml,doc/adminguide/firstdb.sgml,doc/adminguide/help.sgml,doc/adminguide/installation.sgml,doc/adminguide/intro.sgml,doc/adminguide/legal.sgml,doc/adminguide/listenpaths.sgml,doc/adminguide/maintenance.sgml,doc/adminguide/monitoring.sgml,doc/adminguide/prerequisites.sgml,doc/adminguide/reshape.sgml,doc/adminguide/slonconfig.sgml,doc/adminguide/slonik.sgml,doc/adminguide/slony.sgml,doc/adminguide/startslons.sgml,doc/adminguide/stylesheet-hh.xsl,doc/adminguide/stylesheet.css,doc/adminguide/stylesheet.dsl,doc/adminguide/stylesheet.xsl,doc/adminguide/subscribenodes.sgml	
Transformed all Wiki material aside from the FAQ into DocBook SGML

=================================

2004-12-07	darcyb	config/acx_pthread.m4	
Prefer -lpthread to -pthread on systems that support it (FreeBSD 5.X and newer)

=================================

2004-12-07	darcyb	aclocal.m4,configure,configure.ac,config/docbook.m4,config/docs.m4	
add docbook tools to configure, add tools to build the concept docs (and friends) to configure as well

=================================

2004-12-07	darcyb	Makefile.global.in,configure.ac,config/docbook.m4	
Make cbb's docbook stuff fit into our build env

=================================

2004-12-10	cbbrowne	doc/howto/slonik_commands.html	
Fix to table of contents - SET MOVE (TABLE|SEQUENCE) was indexed as SET DROP

=================================

2004-12-10	cbbrowne	doc/adminguide/faq.sgml	
Add in FAQ to the admin guide

=================================

2004-12-10	darcyb	Makefile.global.in,configure,config/acx_pthread.m4,src/slon/Makefile	
Cleanup linking not done messages when compiling on FreeBSD 5 and 6

=================================

2004-12-10	cbbrowne	tools/altperl/slon-tools.pm,tools/altperl/slon_watchdog2.pl	
Made watchdog2 smarter

Instead of just "thumping" a slon once the latest _originating_ events
get pretty old, it now bases the decision on the time of the latest
_confirmation_ of an event from the provider...

=================================

2004-12-10	cbbrowne	doc/adminguide/Makefile,doc/adminguide/SlonyAddThings.txt,doc/adminguide/SlonyAdministrationScripts.txt,doc/adminguide/SlonyConcepts.txt,doc/adminguide/SlonyDDLChanges.txt,doc/adminguide/SlonyDefineCluster.txt,doc/adminguide/SlonyDefineSet.txt,doc/adminguide/SlonyDropThings.txt,doc/adminguide/SlonyFAQ.txt,doc/adminguide/SlonyFAQ01.txt,doc/adminguide/SlonyFAQ02.txt,doc/adminguide/SlonyFAQ03.txt,doc/adminguide/SlonyFAQ04.txt,doc/adminguide/SlonyFAQ05.txt,doc/adminguide/SlonyFAQ06.txt,doc/adminguide/SlonyFAQ07.txt,doc/adminguide/SlonyFAQ08.txt,doc/adminguide/SlonyFAQ09.txt,doc/adminguide/SlonyFAQ10.txt,doc/adminguide/SlonyFAQ11.txt,doc/adminguide/SlonyFAQ12.txt,doc/adminguide/SlonyFAQ13.txt,doc/adminguide/SlonyFAQ14.txt,doc/adminguide/SlonyFAQ15.txt,doc/adminguide/SlonyFAQ16.txt,doc/adminguide/SlonyFAQ17.txt,doc/adminguide/SlonyFAQ18.txt,doc/adminguide/SlonyHandlingFailover.txt,doc/adminguide/SlonyHelp.txt,doc/adminguide/SlonyHowtoFirstTry.txt,doc/adminguide/SlonyIAdministration.txt,doc/adminguide/SlonyInstallation.txt,doc/adminguide/SlonyIntroduction.txt,doc/adminguide/SlonyListenPaths.txt,doc/adminguide/SlonyListenerCosts.txt,doc/adminguide/SlonyMaintenance.txt,doc/adminguide/SlonyPrerequisites.txt,doc/adminguide/SlonyReshapingCluster.txt,doc/adminguide/SlonySlonConfiguration.txt,doc/adminguide/SlonySlonik.txt,doc/adminguide/SlonyStartSlons.txt,doc/adminguide/addthings.html,doc/adminguide/addthings.sgml,doc/adminguide/adminscripts.sgml,doc/adminguide/altperl.html,doc/adminguide/cluster.html,doc/adminguide/cluster.sgml,doc/adminguide/concepts.html,doc/adminguide/concepts.sgml,doc/adminguide/ddlchanges.html,doc/adminguide/ddlchanges.sgml,doc/adminguide/defineset.sgml,doc/adminguide/dropthings.html,doc/adminguide/dropthings.sgml,doc/adminguide/failover.html,doc/adminguide/failover.sgml,doc/adminguide/faq.html,doc/adminguide/filelist.sgml,doc/adminguide/firstdb.html,doc/adminguide/firstdb.sgml,doc/adminguide/help.html,doc/adminguide/help.sgml,doc/adminguide/installation.html,doc/adminguide/installation.sgml,doc/adminguide/intro.sgml,doc/adminguide/legal.sgml,doc/adminguide/listenpaths.html,doc/adminguide/listenpaths.sgml,doc/adminguide/maintenance.html,doc/adminguide/maintenance.sgml,doc/adminguide/monitoring.html,doc/adminguide/monitoring.sgml,doc/adminguide/mysheet.dsl,doc/adminguide/prerequisites.sgml,doc/adminguide/requirements.html,doc/adminguide/reshape.html,doc/adminguide/reshape.sgml,doc/adminguide/slonconfig.html,doc/adminguide/slonconfig.sgml,doc/adminguide/slonik.html,doc/adminguide/slonik.sgml,doc/adminguide/slonstart.html,doc/adminguide/slony.html,doc/adminguide/slony.sgml,doc/adminguide/startslons.sgml,doc/adminguide/subscribenodes.html,doc/adminguide/subscribenodes.sgml,doc/adminguide/t24.html,doc/adminguide/x267.html,doc/adminguide/x931.html	
Wiki data transformed to DocBook/SGML

=================================

2004-12-10	cbbrowne	doc/adminguide/adminscripts.sgml,doc/adminguide/cluster.sgml,doc/adminguide/concepts.sgml,doc/adminguide/defineset.sgml,doc/adminguide/dropthings.sgml,doc/adminguide/failover.sgml,doc/adminguide/firstdb.sgml,doc/adminguide/help.sgml,doc/adminguide/installation.sgml,doc/adminguide/listenpaths.sgml,doc/adminguide/maintenance.sgml,doc/adminguide/monitoring.sgml,doc/adminguide/reshape.sgml,doc/adminguide/slonconfig.sgml,doc/adminguide/subscribenodes.sgml	
Fix up formatting of inclusions in documentation set

=================================

2004-12-10	darcyb	src/slon/confoptions.c	

Fix cast to pointer from integer of different size on 64bit platforms

=================================

2004-12-10	darcyb	src/slon/conf-file.h,src/slon/slon.h	
Remove warning of ProcessConfigFile not defined.

=================================

2004-12-11	darcyb	src/slon/Makefile,src/slonik/Makefile	
Clean up  maintainer-clean to remove the generated yacc/lex output

=================================

2004-12-11	darcyb	src/slon/Makefile	
Remove a not yet commited thread from building

=================================

2004-12-11	darcyb	doc/Makefile	
Build documentation

=================================

2004-12-13	darcyb	src/backend/slony1_funcs.sql	
Fix patch/diff's braindead off by 2 lines error

=================================

2004-12-13	darcyb	Makefile,aclocal.m4,configure,configure.ac,config/compiler.m4,config/general.m4	
Some more minor cleanups in the build environment, make building with debuging symbols optional

=================================

2004-12-13	cbbrowne	doc/adminguide/addthings.html,doc/adminguide/bookindex.sgml,doc/adminguide/cluster.html,doc/adminguide/concepts.html,doc/adminguide/ddlchanges.html,doc/adminguide/defineset.sgml,doc/adminguide/dropthings.html,doc/adminguide/failover.html,doc/adminguide/faq.html,doc/adminguide/faq.sgml,doc/adminguide/filelist.sgml,doc/adminguide/firstdb.html,doc/adminguide/firstdb.sgml,doc/adminguide/help.html,doc/adminguide/help.sgml,doc/adminguide/installation.html,doc/adminguide/listenpaths.html,doc/adminguide/maintenance.html,doc/adminguide/monitoring.html,doc/adminguide/reference.sgml,doc/adminguide/requirements.html,doc/adminguide/reshape.html,doc/adminguide/slon.sgml,doc/adminguide/slonconfig.sgml,doc/adminguide/slonik.html,doc/adminguide/slonik.sgml,doc/adminguide/slonik_ref.sgml,doc/adminguide/slonstart.html,doc/adminguide/slony.html,doc/adminguide/slony.sgml,doc/adminguide/subscribenodes.html	
Plenty of updates to documentation; consolidated in man pages for slon/slonik

=================================

2004-12-13	darcyb	doc/howto/slonik_commands.html,src/backend/slony1_base.sql,src/backend/slony1_funcs.sql,src/slon/misc.c,src/slon/remote_worker.c,src/slon/slon.c,src/slonik/parser.y,src/slonik/scan.l,src/slonik/slonik.c,src/slonik/slonik.h	
Due to lots of SIC regarding the pg_dump safe patches, I'll commit them.

New functionality allows you to REPAIR CONFIG() a node(s) after you have used pg_dump/restore on them.
slonik has a new statement REPAIR CONFIG(),  and a new event class has been created REPAIR_CONFIG.

=================================

2004-12-13	darcyb	src/slon/confoptions.c,src/slon/confoptions.h,src/slon/slon.c	
Cleanup some more compiler warnings

=================================

2004-12-14	cbbrowne	doc/adminguide/addthings.html,doc/adminguide/addthings.sgml,doc/adminguide/adminscripts.sgml,doc/adminguide/app-slon.html,doc/adminguide/app-slonik.html,doc/adminguide/cluster.html,doc/adminguide/cluster.sgml,doc/adminguide/concepts.html,doc/adminguide/concepts.sgml,doc/adminguide/ddlchanges.html,doc/adminguide/ddlchanges.sgml,doc/adminguide/defineset.sgml,doc/adminguide/definingsets.html,doc/adminguide/dropthings.html,doc/adminguide/dropthings.sgml,doc/adminguide/failover.html,doc/adminguide/failover.sgml,doc/adminguide/faq.html,doc/adminguide/faq.sgml,doc/adminguide/firstdb.html,doc/adminguide/firstdb.sgml,doc/adminguide/help.html,doc/adminguide/help.sgml,doc/adminguide/installation.html,doc/adminguide/installation.sgml,doc/adminguide/listenpaths.html,doc/adminguide/listenpaths.sgml,doc/adminguide/maintenance.html,doc/adminguide/maintenance.sgml,doc/adminguide/monitoring.html,doc/adminguide/monitoring.sgml,doc/adminguide/prerequisites.sgml,doc/adminguide/requirements.html,doc/adminguide/reshape.html,doc/adminguide/reshape.sgml,doc/adminguide/slon.sgml,doc/adminguide/slonik.sgml,doc/adminguide/slonstart.html,doc/adminguide/slony-commands.html,doc/adminguide/slony.html,doc/adminguide/slonyadmin.html,doc/adminguide/slonyintro.html,doc/adminguide/startslons.sgml,doc/adminguide/subscribenodes.html,doc/adminguide/subscribenodes.sgml	
Enormous SGML cleanup/improvement

=================================

2004-12-15	cbbrowne	doc/adminguide/adminscripts.sgml,doc/adminguide/faq.sgml,doc/adminguide/listenpaths.sgml	
Added in docs on new Perl script to generate SET LISTEN requests

=================================

2004-12-15	cbbrowne	tools/altperl/regenerate-listens.pl	
regenerate-listens.pl - Perl script that generates Slonik "SET LISTEN" entries
based on the contents of a running Slony-I cluster.

Documentation to follow in the next CVS commit...

=================================

2004-12-16	cbbrowne	doc/adminguide/addthings.sgml,doc/adminguide/adminscripts.sgml,doc/adminguide/cluster.sgml,doc/adminguide/concepts.sgml,doc/adminguide/ddlchanges.sgml,doc/adminguide/defineset.sgml,doc/adminguide/dropthings.sgml,doc/adminguide/failover.sgml,doc/adminguide/faq.sgml,doc/adminguide/filelist.sgml,doc/adminguide/listenpaths.sgml,doc/adminguide/maintenance.sgml,doc/adminguide/reference.sgml,doc/adminguide/reshape.sgml,doc/adminguide/slonik_ref.sgml,doc/adminguide/startslons.sgml,doc/adminguide/subscribenodes.sgml	
Added full Slonik reference in DocBook form, along with a rich set of
linkages to it in the other materials in the admin guide.

=================================

2004-12-17	darcyb	configure	
make the features in the previous commit available

=================================

2004-12-17	darcyb	src/backend/slony1_funcs.sql	
More diff crazyness repairs

=================================

2004-12-17	darcyb	doc/adminguide/Makefile	
Add schemadoc building support

=================================

2004-12-17	darcyb	aclocal.m4,configure.ac,config/docbook.m4,config/docs.m4	
More docbook fixes, detect the correct version of docbook (4.2)

=================================

2004-12-17	darcyb	doc/adminguide/filelist.sgml,doc/adminguide/localxid.sql,doc/adminguide/schemadoc.xml,doc/adminguide/slony.sgml	
Add Internals section, this section has a references of all the tables/views and functions used internaly by slony-I.  localxxid is a copy of that found in the how-to directory.

=================================

2004-12-17	darcyb	Makefile.global.in,configure.ac,doc/Makefile,doc/adminguide/Makefile	
More build environment changes to better support cbrowne's docbook work.

=================================

2004-12-20	darcyb	doc/adminguide/Makefile,doc/adminguide/slony.sgml	
collateindex is handled by ./configure no need to attempt to override it here

=================================

2004-12-20	darcyb	doc/adminguide/SlonyAddThings.txt,doc/adminguide/SlonyAdministrationScripts.txt,doc/adminguide/SlonyConcepts.txt,doc/adminguide/SlonyDDLChanges.txt,doc/adminguide/SlonyDefineCluster.txt,doc/adminguide/SlonyDefineSet.txt,doc/adminguide/SlonyDropThings.txt,doc/adminguide/SlonyFAQ.txt,doc/adminguide/SlonyFAQ01.txt,doc/adminguide/SlonyFAQ02.txt,doc/adminguide/SlonyFAQ03.txt,doc/adminguide/SlonyFAQ04.txt,doc/adminguide/SlonyFAQ05.txt,doc/adminguide/SlonyFAQ06.txt,doc/adminguide/SlonyFAQ07.txt,doc/adminguide/SlonyFAQ08.txt,doc/adminguide/SlonyFAQ09.txt,doc/adminguide/SlonyFAQ10.txt,doc/adminguide/SlonyFAQ11.txt,doc/adminguide/SlonyFAQ12.txt,doc/adminguide/SlonyFAQ13.txt,doc/adminguide/SlonyFAQ14.txt,doc/adminguide/SlonyFAQ15.txt,doc/adminguide/SlonyFAQ16.txt,doc/adminguide/SlonyFAQ17.txt,doc/adminguide/SlonyFAQ18.txt,doc/adminguide/SlonyHandlingFailover.txt,doc/adminguide/SlonyHelp.txt,doc/adminguide/SlonyHowtoFirstTry.txt,doc/adminguide/SlonyIAdministration.txt,doc/adminguide/SlonyInstallation.txt,doc/adminguide/SlonyIntroduction.txt,doc/adminguide/SlonyListenPaths.txt,doc/adminguide/SlonyListenerCosts.txt,doc/adminguide/SlonyMaintenance.txt,doc/adminguide/SlonyPrerequisites.txt,doc/adminguide/SlonyReshapingCluster.txt,doc/adminguide/SlonySlonConfiguration.txt,doc/adminguide/SlonySlonik.txt,doc/adminguide/SlonyStartSlons.txt	
Time to box the text files up and move them to the attic

=================================

2004-12-21	cbbrowne	doc/adminguide/slonik_ref.sgml	
Moved preamble material a bit to indicate that echo can't be used
in the "preamble" of a Slonik script

=================================

2004-12-21	darcyb	doc/adminguide/Makefile,doc/adminguide/filelist.sgml,doc/adminguide/stylesheet.css,doc/adminguide/stylesheet.dsl	
use the correct dsl when building docs

=================================

2004-12-21	darcyb	doc/adminguide/Makefile,doc/adminguide/adminscripts.sgml,doc/adminguide/installation.sgml,doc/adminguide/intro.sgml,doc/adminguide/prerequisites.sgml,doc/adminguide/reference.sgml,doc/adminguide/schemadoc.xml,doc/adminguide/slonik_ref.sgml,doc/adminguide/slony.sgml	
Convert book to parts + chapters

=================================

2004-12-22	cbbrowne	doc/adminguide/slonik_ref.sgml	
Put in proper <refpurpose> entries for each Slonik command

=================================

2004-12-22	cbbrowne	doc/adminguide/slonik.sgml	
Point to internal Slonik command reference, not the GBorg web site

=================================

2004-12-22	darcyb	doc/adminguide/Makefile,doc/adminguide/addthings.sgml,doc/adminguide/adminscripts.sgml,doc/adminguide/app-slon.html,doc/adminguide/app-slonik.html,doc/adminguide/bookindex.sgml,doc/adminguide/cluster.html,doc/adminguide/cluster.sgml,doc/adminguide/concepts.html,doc/adminguide/concepts.sgml,doc/adminguide/ddlchanges.sgml,doc/adminguide/defineset.sgml,doc/adminguide/definingsets.html,doc/adminguide/dropthings.sgml,doc/adminguide/failover.sgml,doc/adminguide/faq.html,doc/adminguide/faq.sgml,doc/adminguide/firstdb.sgml,doc/adminguide/help.sgml,doc/adminguide/installation.html,doc/adminguide/installation.sgml,doc/adminguide/intro.sgml,doc/adminguide/legal.sgml,doc/adminguide/listenpaths.sgml,doc/adminguide/maintenance.sgml,doc/adminguide/monitoring.sgml,doc/adminguide/prerequisites.sgml,doc/adminguide/reference.sgml,doc/adminguide/requirements.html,doc/adminguide/reshape.sgml,doc/adminguide/schemadoc.xml,doc/adminguide/slon.sgml,doc/adminguide/slonik.sgml,doc/adminguide/slonik_ref.sgml,doc/adminguide/slony.sgml,doc/adminguide/slonyadmin.html,doc/adminguide/slonyintro.html,doc/adminguide/startslons.sgml,doc/adminguide/subscribenodes.sgml	
Building of schemadoc.xml now removes the local schema name, (allow for better portability between developers), update the embeded references in faq to make use of this convention. add Id tages to all the sgml files.

=================================

2004-12-22	darcyb	Makefile.global.in	
Carry the docbook stuff through to the frontend

=================================

2004-12-22	cbbrowne	doc/adminguide/prerequisites.sgml	
SGML tagging fixes

=================================

2004-12-22	darcyb	doc/adminguide/addthings.sgml,doc/adminguide/adminscripts.sgml,doc/adminguide/bookindex.sgml,doc/adminguide/cluster.sgml,doc/adminguide/concepts.sgml,doc/adminguide/ddlchanges.sgml,doc/adminguide/defineset.sgml,doc/adminguide/dropthings.sgml,doc/adminguide/failover.sgml,doc/adminguide/faq.sgml,doc/adminguide/firstdb.sgml,doc/adminguide/help.sgml,doc/adminguide/installation.sgml,doc/adminguide/intro.sgml,doc/adminguide/legal.sgml,doc/adminguide/listenpaths.sgml,doc/adminguide/maintenance.sgml,doc/adminguide/monitoring.sgml,doc/adminguide/prerequisites.sgml,doc/adminguide/reference.sgml,doc/adminguide/reshape.sgml,doc/adminguide/slon.sgml,doc/adminguide/slonik.sgml,doc/adminguide/slonik_ref.sgml,doc/adminguide/slony.sgml,doc/adminguide/startslons.sgml,doc/adminguide/subscribenodes.sgml	
Validate using make check

=================================

2004-12-22	darcyb	configure	
More docbook tweeks

=================================

2004-12-22	cbbrowne	doc/adminguide/faq.sgml	
Added commentary on what happens to triggers and rules

=================================

2004-12-22	cbbrowne	doc/adminguide/monitoring.sgml	
Built a variablelist to list different threads that generate log messages

=================================

2004-12-22	cbbrowne	doc/adminguide/adminscripts.sgml	
Regrouped sections; doesn't need to be split into a bunch of pages...

=================================

2005-01-03	wieck	configure	
new configure script based on last acx_pthread.m4 change.

Jan

=================================

2005-01-03	wieck	tools/Makefile,tools/slony1_extract_schema.sh	
Added script to extract the user schema (without slony cruft)
from an existing node. The node must be the origin.

Jan

=================================

2005-01-03	wieck	config/acx_pthread.m4	
Don't know why actually using the pthread ld flags was commented out,
but I suppose it would break more platforms than just FreeBSD 4.9.

Jan

=================================

2005-01-04	cbbrowne	tools/altperl/slon_start.pl	
Add in startup script changes from Steve Simms...

- Support long option names
- Optionally don't start a watchdog
- Optionally specify where slon.env is
- Nodes can be specified in either the form "node123" or "123"

=================================

2005-01-04	cbbrowne	tools/altperl/slon-tools.pm	
Add in support for SSL connections

Thanks to Steve Simms <steve@deefs.net>

=================================

2005-01-07	cbbrowne	doc/adminguide/maintenance.sgml,tools/log.pm,tools/run_rep_tests.sh,tools/test_slony_replication.pl	
Added Perl/Bash scripts for testing how Slony-I replication is running.

Also added documentation on these scripts to the Admin guide.

=================================

2005-01-10	cbbrowne	tools/altperl/drop_set.pl	
Add Steve Simms usage, allow nodes to be 123 rather than node123

=================================

2005-01-10	cbbrowne	tools/altperl/init_cluster.pl	
Changes from Steve Simms to "init_cluster.pl"
 - Allow location of tool config to be specified in the environment
 - Have output that shouldn't go to Slonik be #commented out

=================================

2005-01-10	cbbrowne	tools/altperl/subscribe_set.pl	
Steve Simms changes - subscribe_set.pl - add usage printout, allow node to be
called 123 as well as node123

=================================

2005-01-10	cbbrowne	tools/altperl/slon_kill.pl	
Add usage output

Potentially use environment to determine where cluster information is

Turn reused logic into a function

=================================

2005-01-10	cbbrowne	tools/altperl/README,tools/altperl/slon.env	
Have a sequence parameter, $SEQUENCE_ID, to manage sequence IDs just like $TABLE_ID does for tables

=================================

2005-01-10	darcyb	doc/adminguide/filelist.sgml,doc/adminguide/slonconf.sgml	
document slon.conf configuration

=================================

2005-01-10	cbbrowne	tools/altperl/create_set.pl	
Use $SEQUENCE_ID rather than $SEQID, which will become an environment parameter.

Change suggested by Steve Simms

=================================

2005-01-10	cbbrowne	tools/altperl/merge_sets.pl	
Steve Simms changes - have usage, common config parameter, allow nodes
to be called 123 as well as node123

=================================

2005-01-10	cbbrowne	doc/adminguide/slon.sgml,src/slon/confoptions.h,src/slon/remote_worker.c,src/slon/slon.c	
Added a dynamic SYNC group "windowing" scheme, along with docs and
configuration option code.

This allows defining a target "desired_sync_time", defaulting to 1
minute, where, if replication is behind, slon will gradually increase
sync group sizes to try to get the expected time for the group to
take that period of time.

It backs off IMMEDIATELY, if there is a large or long running SYNC,
and starts at 1, and increases group sizes by the greater of 1 and
10% of the last group size.  Once the node gets up to date, that
also causes it to back off to sync sizes of 1 or 2.

This makes it reasonable to have the maximum sync grouping set rather
high, as the groups will only get large gradually, in keeping with
how the system is performing.

=================================

2005-01-11	darcyb	doc/adminguide/slonconf.sgml,share/slon.conf-sample	
Document cbb's newly added desired_sync_time config option.

=================================

2005-01-12	cbbrowne	doc/adminguide/faq.sgml	
Add in discussion of the "long running idle transaction" problem.

=================================

2005-01-12	darcyb	src/slon/cleanup_thread.c	
fix copy/paste typo for deleteing from sl_log_* tables.

=================================

2005-01-12	cbbrowne	doc/adminguide/reshape.sgml	
Cleaned up SGML tagging a bit

=================================

2005-01-12	darcyb	src/backend/slony1_funcs.c,src/slon/cleanup_thread.c,src/slon/conf-file.h,src/slon/confoptions.c,src/slon/confoptions.h,src/slon/dbutils.c,src/slon/local_listen.c,src/slon/misc.c,src/slon/misc.h,src/slon/remote_listen.c,src/slon/remote_worker.c,src/slon/runtime_config.c,src/slon/scheduler.c,src/slon/slon.c,src/slon/slon.h,src/slon/sync_thread.c,src/slonik/dbutil.c,src/slonik/slonik.c,src/slonik/slonik.h,src/xxid/xxid.c	
pgindent run

=================================

2005-01-17	cbbrowne	tools/altperl/slon_kill.pl	
Mods per Steve Simms...

 I also moved the "require $SLON_ENV_FILE" to a point *after*
 the usage statement, so that it doesn't croak if slon.env isn't
 present.

=================================

2005-01-18	cbbrowne	doc/adminguide/faq.sgml,doc/adminguide/monitoring.sgml,tools/test_slony_state.pl	
Added in a script to test the state of a Slony-I cluster, along with
some documentation

=================================

2005-01-18	cbbrowne	doc/adminguide/faq.sgml	
Added docs for a condition which breaks replication triggers

=================================

2005-01-18	cbbrowne	doc/adminguide/ddlchanges.sgml,doc/adminguide/slonik_ref.sgml	
Added some "best practices" material concerning how to better cope
with DDL changes.

This also pointed to documenting more precisely what the Slonik
"execute script" command does.

=================================

2005-01-19	darcyb	share/DBITECH-SLONY-I-MIB.txt	
Beginnings of snmp status and management interface for Slony

=================================

2005-01-21	darcyb	share/DBITECH-SLONY-I-MIB.txt	
Fix 2 typo's as pointed out by mastermind.

=================================

2005-01-23	cbbrowne	doc/adminguide/faq.sgml,doc/adminguide/intro.sgml,doc/adminguide/listenpaths.sgml	
Added FAQ entry, revised intro (textual revisions), fixed formatting of
listenpaths.sgml a bit

=================================

2005-01-24	cbbrowne	doc/adminguide/README,doc/adminguide/addthings.html,doc/adminguide/altperl.html,doc/adminguide/app-slon.html,doc/adminguide/app-slonik.html,doc/adminguide/cluster.html,doc/adminguide/concepts.html,doc/adminguide/ddlchanges.html,doc/adminguide/definingsets.html,doc/adminguide/dropthings.html,doc/adminguide/failover.html,doc/adminguide/faq.html,doc/adminguide/firstdb.html,doc/adminguide/help.html,doc/adminguide/installation.html,doc/adminguide/listenpaths.html,doc/adminguide/maintenance.html,doc/adminguide/monitoring.html,doc/adminguide/requirements.html,doc/adminguide/reshape.html,doc/adminguide/slonconfig.html,doc/adminguide/slonik.html,doc/adminguide/slonstart.html,doc/adminguide/slony-commands.html,doc/adminguide/slony.html,doc/adminguide/slonyadmin.html,doc/adminguide/slonyintro.html,doc/adminguide/subscribenodes.html,doc/adminguide/t24.html,doc/adminguide/x267.html,doc/adminguide/x931.html	
Apply changes from CVS HEAD admin guide into the stable branch as this
material will be useful for both versions

=================================

2005-01-24	cbbrowne	doc/adminguide/addthings.sgml,doc/adminguide/adminscripts.sgml,doc/adminguide/concepts.sgml,doc/adminguide/faq.sgml,doc/adminguide/help.sgml,doc/adminguide/intro.sgml,doc/adminguide/monitoring.sgml,doc/adminguide/prerequisites.sgml,doc/adminguide/reference.sgml,doc/adminguide/slonik_ref.sgml,doc/adminguide/slony.sgml	
Plenty of modifications to documentation; lots of textual changes.

=================================

2005-01-25	cbbrowne	tools/altperl/slon_start.pl,tools/altperl/slon_watchdog.pl	
slon_watchdog.pl.diff
- Added --config and --help options, as with other files
- Use a while loop instead of a recursive function for the watchdog process
- Allow node# to be given as just a number, as with other files

slon_start.pl.diff
- --help would fail if --config wasn't specified and slon.env wasn't in @INC
- Call slon_watchdog.pl using --config

--
Steve Simms

=================================

2005-01-26	darcyb	src/slon/Makefile	
Check for FLEX and bail if not present

=================================

2005-01-26	darcyb	Makefile.global.in,aclocal.m4,configure.ac,config/perl.m4	
Clean up detection of lex/yacc as well as check for perl's location

=================================

2005-01-26	darcyb	configure	
Bring sed detection forward

=================================

2005-01-26	darcyb	Makefile.global.in,configure.ac	
Add proper detection of sed since slonik relies on haveing sed available

=================================

2005-01-26	darcyb	configure	
Bring the previous configure.ac commit into the frontend

=================================

2005-01-26	darcyb	src/slonik/Makefile,src/slonik/slonik.c	
Use the detected version of sed

=================================

2005-01-26	darcyb	tools/altperl/Makefile,tools/altperl/build_env.pl,tools/altperl/create_set.pl,tools/altperl/drop_node.pl,tools/altperl/drop_set.pl,tools/altperl/failover.pl,tools/altperl/init_cluster.pl,tools/altperl/merge_sets.pl,tools/altperl/move_set.pl,tools/altperl/regenerate-listens.pl,tools/altperl/restart_node.pl,tools/altperl/restart_nodes.pl,tools/altperl/show_configuration.pl,tools/altperl/show_nodes.pl,tools/altperl/slon-tools.pm,tools/altperl/slon.env,tools/altperl/slon_kill.pl,tools/altperl/slon_pushsql.pl,tools/altperl/slon_start.pl,tools/altperl/slon_watchdog.pl,tools/altperl/slon_watchdog2.pl,tools/altperl/subscribe_set.pl,tools/altperl/uninstall_nodes.pl,tools/altperl/unsubscribe_set.pl,tools/altperl/update_nodes.pl	
Remove non required hash-bangs, and setup hash-bang substitution, provide method to remove .pl from scripts

=================================

2005-01-27	cbbrowne	src/ducttape/test_1_pgbench_no_node1	
Test where the nodes are numbered 11 and 22 rather than 1 and 2
to validate that you don't need a node #1

=================================

2005-01-28	cbbrowne	src/slon/remote_listen.c	
Reformatted function call contents to make indentation consistent

=================================

2005-01-28	cbbrowne	src/slon/confoptions.h	
Allow -t timeout parameter to be as much as 10 minutes long

=================================

2005-01-28	cbbrowne	doc/adminguide/slon.sgml	
Added comments about how SYNCs are not needed nearly as often on
subscriber nodes

=================================

2005-01-28	cbbrowne	src/slon/remote_worker.c	
A reference to last_sync_group_size was missed; added it back

And some reindentation...

=================================

2005-02-01	darcyb	configure,configure.ac	
Repair variable substitution problem with bison -y (remove trailing ,)

=================================

2005-02-02	cbbrowne	doc/adminguide/failover.sgml,doc/adminguide/faq.sgml,doc/adminguide/slonik_ref.sgml	
Improved discussion of FAILOVER and why it is vital that it abandon the
failed node.

=================================

2005-02-02	cbbrowne	tools/altperl/README,tools/altperl/create_set.pl,tools/altperl/regenerate-listens.pl,tools/altperl/restart_nodes.pl,tools/altperl/show_configuration.pl,tools/altperl/slon-tools.pm,tools/altperl/slon.env,tools/altperl/slon_kill.pl,tools/altperl/slon_start.pl,tools/altperl/slon_watchdog.pl,tools/altperl/slon_watchdog2.pl,tools/altperl/uninstall_nodes.pl	
Patches per Steve Simms to replace $SETNAME with $CLUSTER_NAME which
is really a much more consistent name to use to identify Slony-I
clusters...

Also, a change by Chris Browne that, for non-users of Apache log rotator,
puts the present timestamp in the name of the log file.  That way there's
a rotation of sorts even if it isn't managed by "ALR".

=================================

2005-02-02	cbbrowne	doc/adminguide/adminscripts.sgml	
Alter documentation to reflect the renaming of "$SETNAME" to "$CLUSTER_NAME"
in the admin tools

=================================

2005-02-02	cbbrowne	doc/adminguide/slony.sgml,doc/adminguide/usingslonik.sgml	
Adding in a document to discuss "care and feeding" of embedding slonik
scripts

=================================

2005-02-02	cbbrowne	tools/altperl/slon.env	
Major additions to comments by Steve Simms

=================================

2005-02-02	cbbrowne	doc/adminguide/addthings.sgml,doc/adminguide/adminscripts.sgml,doc/adminguide/ddlchanges.sgml,doc/adminguide/dropthings.sgml,doc/adminguide/failover.sgml,doc/adminguide/firstdb.sgml,doc/adminguide/help.sgml,doc/adminguide/listenpaths.sgml,doc/adminguide/maintenance.sgml,doc/adminguide/monitoring.sgml,doc/adminguide/reshape.sgml,doc/adminguide/slon.sgml,doc/adminguide/slonik.sgml,doc/adminguide/slony.sgml,doc/adminguide/startslons.sgml,doc/adminguide/subscribenodes.sgml	
Whole bunch of Slony-I sections ought to be treated as a single
<ARTICLE> so that the table of contents is generated for the whole
lot of them rather than one for each section

=================================

2005-02-02	darcyb	TODO	
add request for upgrade docs, and more examples. remove cbb wik/fai now that it's intergrated

=================================

2005-02-07	cbbrowne	doc/adminguide/ddlchanges.sgml	
More commentary about pathologies

=================================

2005-02-07	cbbrowne	doc/adminguide/installation.sgml,doc/adminguide/intro.sgml	
Reshaped sectioning a bit to make things flow better

=================================

2005-02-07	cbbrowne	doc/adminguide/defineset.sgml	
Added some comments about how adding lots of sequences gets pathological

=================================

2005-02-07	cbbrowne	doc/adminguide/prerequisites.sgml	
Moved notes about PG 7.2 to new page on doing upgrades using Slony-I

=================================

2005-02-07	cbbrowne	doc/adminguide/dropthings.sgml,doc/adminguide/plainpaths.sgml,doc/adminguide/slon.sgml,doc/adminguide/slonik.sgml	
Added document on handling of plain paths...

Fixed tagging errors and such in various files

=================================

2005-02-07	cbbrowne	doc/adminguide/slonik_ref.sgml	
Retagging the intro material

=================================

2005-02-07	cbbrowne	doc/adminguide/filelist.sgml	
Added new documents

=================================

2005-02-07	cbbrowne	doc/adminguide/slony.sgml	
Reshaped it so it's only a few parts and a few articles

=================================

2005-02-07	cbbrowne	doc/adminguide/versionupgrade.sgml	
New article on using Slony-I to do version upgrades of PostgreSQL

=================================

2005-02-07	cbbrowne	doc/adminguide/usingslonik.sgml	
Reshaped sections a bit to improve flow of web pages

=================================

2005-02-07	cbbrowne	doc/adminguide/faq.sgml	
Evidently the "dup key" problem isn't SIG 11 and isn't (in an obvious way)
a corrupted index...

=================================

2005-02-09	cbbrowne	doc/adminguide/addthings.sgml,doc/adminguide/adminscripts.sgml,doc/adminguide/cluster.sgml,doc/adminguide/concepts.sgml,doc/adminguide/ddlchanges.sgml,doc/adminguide/defineset.sgml,doc/adminguide/dropthings.sgml,doc/adminguide/failover.sgml,doc/adminguide/faq.sgml,doc/adminguide/firstdb.sgml,doc/adminguide/help.sgml,doc/adminguide/installation.sgml,doc/adminguide/intro.sgml,doc/adminguide/legal.sgml,doc/adminguide/listenpaths.sgml,doc/adminguide/maintenance.sgml,doc/adminguide/monitoring.sgml,doc/adminguide/plainpaths.sgml,doc/adminguide/reshape.sgml,doc/adminguide/slon.sgml,doc/adminguide/slonik.sgml,doc/adminguide/slony.sgml,doc/adminguide/startslons.sgml,doc/adminguide/subscribenodes.sgml,doc/adminguide/usingslonik.sgml,doc/adminguide/versionupgrade.sgml	
Fix up tagging of documents; did a lot of SGML normalization.

=================================

2005-02-09	cbbrowne	tools/altperl/regenerate-listens.pl	
Vivek Khera updated this to use DBI

=================================

2005-02-10	smsimms	tools/altperl/show_nodes.pl	
This file was just a copy of init_cluster.pl, and had nothing to do
with showing node information.

=================================

2005-02-10	smsimms	Makefile.global.in,tools/altperl/Makefile	
Make sysconfdir and pglibdir available to sed

These will be used to store the altperl configuration file and
slon-tools.pm

=================================

2005-02-10	smsimms	doc/adminguide/adminscripts.sgml,tools/altperl/README,tools/altperl/build_env.pl,tools/altperl/create_set.pl,tools/altperl/drop_node.pl,tools/altperl/drop_set.pl,tools/altperl/failover.pl,tools/altperl/init_cluster.pl,tools/altperl/merge_sets.pl,tools/altperl/move_set.pl,tools/altperl/restart_node.pl,tools/altperl/restart_nodes.pl,tools/altperl/show_configuration.pl,tools/altperl/slon.env,tools/altperl/slon_kill.pl,tools/altperl/slon_pushsql.pl,tools/altperl/slon_start.pl,tools/altperl/slon_tools.conf-sample,tools/altperl/slon_watchdog.pl,tools/altperl/slon_watchdog2.pl,tools/altperl/subscribe_set.pl,tools/altperl/uninstall_nodes.pl,tools/altperl/unsubscribe_set.pl,tools/altperl/update_nodes.pl	
Use fixed paths for altperl tools configuration and library files.

The configuration file defaults to the "sysconfdir" argument to
configure (/usr/local/etc by default), and has been renamed to
slon_tools.conf, which seems to go along with the naming convention of
the configuration files in /usr/local/pgsql/data.

The slon-tools.pm library is installed in the pglibdir path.

I've also updated the relevant documentation to note the slon.env name
change.

=================================

2005-02-10	smsimms	tools/altperl/Makefile,tools/altperl/slon_start.pl	
Added an "install" target to Makefile.  It copies the configuration
file, library, and slon start/stop/watch scripts to their relevant
directories.  I'm holding off on the slonik scripts until we decide
where we want them to go.

Adjusted DISTDIRS to reflect the slon.env -> slon_tools.conf change.

Added a pgbindir substitution, and modified slon_start.pl so that it
uses that path to get to slon_watchdog.

=================================

2005-02-10	smsimms	tools/altperl/build_env.pl,tools/altperl/drop_node.pl,tools/altperl/drop_set.pl,tools/altperl/failover.pl,tools/altperl/init_cluster.pl,tools/altperl/merge_sets.pl,tools/altperl/move_set.pl,tools/altperl/restart_node.pl,tools/altperl/restart_nodes.pl,tools/altperl/show_configuration.pl,tools/altperl/show_nodes.pl,tools/altperl/slon_kill.pl,tools/altperl/slon_pushsql.pl,tools/altperl/slon_start.pl,tools/altperl/slon_watchdog.pl,tools/altperl/slon_watchdog2.pl,tools/altperl/subscribe_set.pl,tools/altperl/uninstall_nodes.pl,tools/altperl/unsubscribe_set.pl,tools/altperl/update_nodes.pl	
Removed Emacs hints from the #! line, which were preventing the
scripts from running on RH Linux.

=================================

2005-02-11	cbbrowne	doc/adminguide/faq.sgml,doc/adminguide/prerequisites.sgml	
Added documentation about how the slony user needs to not only be a
PostgreSQL "superuser" but to also have system table update privileges.

=================================

2005-02-11	darcyb	share/Makefile,src/backend/Makefile,src/xxid/Makefile	
Install .sql and .conf files as mode 644 not 755

=================================

2005-02-14	cbbrowne	doc/adminguide/ddlchanges.sgml	
More comments...

=================================

2005-02-14	smsimms	tools/altperl/Makefile	
Make "all" the default target.

Install slon_start, slon_kill, etc. instead of slon_start.pl,
slon_kill.pl, etc.

=================================

2005-02-14	smsimms	tools/regenerate-listens.pl,tools/altperl/regenerate-listens.pl	
Moved regenerate-listens.pl from tools/altperl to tools.

=================================

2005-02-15	cbbrowne	doc/adminguide/faq.sgml	
Added notes on a "missing OID" problem that can take place if you
drop a cluster but have some connection pool system (common for
Java apps) that keeps around connections that are pointing to
obsolete stored plans.

=================================

2005-02-15	cbbrowne	doc/adminguide/faq.sgml,doc/adminguide/slonik_ref.sgml	
Fix SGML tagging error, add link so that Slonik reference pages
point to the FAQ entry on 'missing OIDs' problem

=================================

2005-02-16	darcyb	src/backend/slony1_funcs.sql	
Fix cluster init, default log shipping to false, with cbb's blessing

=================================

2005-02-16	smsimms	src/backend/slony1_funcs.sql	
Provide a less cryptic error message when you pass a non-existent
tablename to determineIdxnameUnique or determineAttkindUnique.

=================================

2005-02-16	smsimms	src/backend/slony1_funcs.sql	
Add a missing WHERE clause that causes MOVE SET to fail when:

1. There are three or more nodes
2. Sets originate on at least two nodes
3. A set is being moved from a third node to one of the first two.

=================================

2005-02-17	cbbrowne	src/ducttape/test_1_pgbench,src/ducttape/test_2_pgbench,src/ducttape/test_3_pgbench,src/ducttape/test_4_pgbench,src/ducttape/test_5_pgbench,src/ducttape/test_6_autolisten	
Fix some misspellings

=================================

2005-02-17	wieck	src/slon/confoptions.h,src/slon/remote_worker.c,src/slon/slon.c,tools/slony1_dump.sh	
First cut on the log shipping mechanism.

The tools/slony1_dump.sh script can be used against a subscriber
to get a snapshot of a replica's user data plus minimal status
information.

If slon is started with -a <archivedir>, it will output an sql
script for every sync processing, containing statements that replicate
the changes plus keep the status information up to date. Note that these
scripts will have the same "grouping" of SYNC events that the replica
used.

Next steps:
    Add output of archive files by slon for subscribing, unsubscribing
    and merging of sets and for ddl script executions.

Jan

=================================

2005-02-17	cbbrowne	doc/adminguide/slon.sgml,src/slon/remote_worker.c,src/slon/slon.c,src/slon/slon.h	
1.  Added DocBook documentation for "-a" slon option that writes log shipping
    files

2.  Added docs for "-a" option to slon runtime

3.  Added SLON_MAX_PATH #define

4.  Macro for TERMINATE_QUERY_AND_ARCHIVE;  (This one may be dubious.)

=================================

2005-02-18	cbbrowne	doc/adminguide/plainpaths.sgml	
Docs on setting up STORE PATH entries versus ADMIN CONNINFO

=================================

2005-02-18	cbbrowne	doc/adminguide/adminscripts.sgml,doc/adminguide/monitoring.sgml,doc/adminguide/prerequisites.sgml,doc/adminguide/reshape.sgml	
 - Add links into the table documentation...

 - Adding in info on path handling...

=================================

2005-02-18	darcyb	Makefile.global.in,aclocal.m4,config.h.in,configure,configure.ac,config/acx_libpq.m4,config/acx_netsnmp.m4,config/acx_pthread.m4,config/acx_slonytools.m4,src/slon/Makefile,src/slon/confoptions.h,src/slon/misc.c,src/slon/misc.h,src/slon/slon.c,src/slon/slon.h,src/slon/snmp_thread.c	
Check in first round of minimal net-snmp sub-agentx support, net-snmp 5.1.x is the minimum supported version.  At the moment all you can do via SNMP is get/set the log level.  SNMP support is not enabled or compiled in by default. Run configure with  --with-netsnmp to enable support.

Also added support for --with-perltools=<dir>. This is where the altperl tools should be installed to, if <dir> is not supplied the default install target is $PREFIX/bin.
TODO: configure needs to have proper detection of required perl modules (DBD:Pg)

And finnaly, correct a compiler warning in confoptions.h

=================================

2005-02-18	cbbrowne	doc/adminguide/faq.sgml	
Added an example of "Event Surgery" to the FAQ.

=================================

2005-02-18	cbbrowne	doc/adminguide/addthings.sgml,doc/adminguide/adminscripts.sgml,doc/adminguide/concepts.sgml,doc/adminguide/ddlchanges.sgml,doc/adminguide/defineset.sgml,doc/adminguide/dropthings.sgml,doc/adminguide/failover.sgml,doc/adminguide/faq.sgml,doc/adminguide/firstdb.sgml,doc/adminguide/intro.sgml,doc/adminguide/listenpaths.sgml,doc/adminguide/maintenance.sgml,doc/adminguide/monitoring.sgml,doc/adminguide/plainpaths.sgml,doc/adminguide/prerequisites.sgml,doc/adminguide/reshape.sgml,doc/adminguide/schemadoc.xml,doc/adminguide/slon.sgml,doc/adminguide/slonik.sgml,doc/adminguide/slonik_ref.sgml,doc/adminguide/startslons.sgml,doc/adminguide/subscribenodes.sgml,doc/adminguide/usingslonik.sgml,doc/adminguide/versionupgrade.sgml	
Eliminated most <link> tags in favor of (much simpler!) <xrefs>

Added a number of links into the schema docs

=================================

2005-02-18	darcyb	src/slon/remote_worker.c	
replace missing ; to allow remote_worke.c to compile again.

=================================

2005-02-20	smsimms	tools/altperl/create_set.pl,tools/altperl/slon-tools.pm,tools/altperl/slon_tools.conf-sample	
Added support for multiple sets in slon_tools.conf.

Modified create_set.pl to accept a set ID or name (as given in
slon_tools.conf).  I put the (unfortunately-named) get_set function in
slon-tools.pm so that it can be used by other set-manipulating
scripts.

Also added --config and --help flags to create_set.pl, as I've been
doing with the other scripts.

=================================

2005-02-20	smsimms	tools/altperl/Makefile,tools/altperl/slon_start.pl	
Make use of the --with-perltools configure option.  If it's specified,
install all of the Perl scripts to the specified location ($prefix/bin
by default).

=================================

2005-02-21	cbbrowne	doc/adminguide/filelist.sgml	
Fix typo in filelist.sgml - missing quote

=================================

2005-02-21	cbbrowne	doc/adminguide/logshipping.sgml	
Add in preliminary document on log shipping

=================================

2005-02-21	cbbrowne	doc/adminguide/faq.sgml	
Fix typo - spurious "<"

=================================

2005-02-21	cbbrowne	doc/adminguide/filelist.sgml,doc/adminguide/slony.sgml	
Add references to log shipping doc in

=================================

2005-02-21	cbbrowne	doc/adminguide/logshipping.sgml	
Added further notes as to what aspects of log shipping are limited at
this point

=================================

2005-02-22	smsimms	tools/altperl/Makefile,tools/altperl/slon_watchdog.pl	
Fixed the restart_node call in slon_watchdog.pl.

Required adding a pgbindir subsitution to the Makefile, so that the
restart_node command can be run instead of just printed.

=================================

2005-02-22	smsimms	tools/test_slony_replication.pl	
Removed a site-specific "where" clause, pointed out by mastermind on IRC.

=================================

2005-02-22	smsimms	tools/altperl/drop_node.pl,tools/altperl/failover.pl,tools/altperl/move_set.pl,tools/altperl/restart_node.pl,tools/altperl/restart_nodes.pl,tools/altperl/show_configuration.pl,tools/altperl/slon_pushsql.pl,tools/altperl/unsubscribe_set.pl,tools/altperl/update_nodes.pl	
Removed the "set#" argument from failover.pl since it doesn't use it.

Added --config and --help options to nearly all of the remaining
scripts that didn't have them.

Combined restart_nodes.pl and restart_node.pl by adding an "--all"
switch to restart_node.pl and allowing it to accept multiple
nodes as arguments.

Added a "does file exist" check to slon_pushsql.pl.

Removed a few unused declarations and made some minor stylistic
changes.

=================================

2005-02-22	smsimms	doc/adminguide/adminscripts.sgml,tools/altperl/Makefile,tools/altperl/README,tools/altperl/show_configuration.pl,tools/altperl/slon-tools.pm,tools/altperl/slon_tools.conf-sample,tools/altperl/slon_watchdog2.pl	
Eliminated the need for $SLON_BIN_PATH by using @@PGBINDIR@@.

=================================

2005-02-22	xfade	configure,config/acx_netsnmp.m4	
Check for real net-snmp headers instead of the wrapper headers.

=================================

2005-02-22	smsimms	doc/adminguide/adminscripts.sgml,tools/altperl/execute_script.pl,tools/altperl/slon_pushsql.pl	
Rename slon_pushsql.pl to execute_script.pl.  The other scripts are
named after slonik commands, so this is more consistent.

=================================

2005-02-22	smsimms	tools/altperl/create_set.pl,tools/altperl/drop_set.pl,tools/altperl/init_cluster.pl,tools/altperl/merge_sets.pl,tools/altperl/slon_kill.pl,tools/altperl/slon_start.pl,tools/altperl/slon_watchdog.pl,tools/altperl/subscribe_set.pl,tools/altperl/update_nodes.pl	
Remove ".pl" from usage statement in files that still have it.

=================================

2005-02-22	darcyb	doc/adminguide/adminscripts.sgml,doc/adminguide/listenpaths.sgml,doc/adminguide/maintenance.sgml,doc/adminguide/monitoring.sgml,doc/adminguide/reshape.sgml,doc/adminguide/startslons.sgml	
Remove the .pl extentions on the admin scripts to reflect chnages as made previously

=================================

2005-02-23	cbbrowne	doc/adminguide/defineset.sgml,doc/adminguide/dropthings.sgml,doc/adminguide/faq.sgml,doc/adminguide/intro.sgml,doc/adminguide/listenpaths.sgml,doc/adminguide/maintenance.sgml,doc/adminguide/monitoring.sgml,doc/adminguide/slonik_ref.sgml,doc/adminguide/usingslonik.sgml	
Changed all table references to be <XREF> references to the DB schema
tables.

=================================

2005-02-23	smsimms	tools/regenerate-listens.pl	
Removed the @@PERL@@ substitution, which only works in altperl.
Instead, use the same line as slony_setup.pl.

=================================

2005-02-23	smsimms	tools/altperl/create_set.pl,tools/altperl/drop_set.pl,tools/altperl/init_cluster.pl,tools/altperl/move_set.pl,tools/altperl/slon-tools.pm,tools/altperl/slon_tools.conf-sample,tools/altperl/subscribe_set.pl	
Added support for sets originating on different nodes.  The default
remains the $MASTERNODE, but you can now add an "origin" attribute in
the configuration file to designate that the set originates on some
other node.

Removed the requirement that each node have a parent.  This is now an
optional attribute in the configuration file -- otherwise, it is
assumed that the node can contact any other node that doesn't have a
parent, plus any node where it is the parent.

Modified init_cluster.pl so that it only writes "store path" commands
for paths that exist.

Fixed a couple of bugs in init_cluster.pl that were preventing it from
choosing the most efficient listen path between a given pair of nodes.

=================================

2005-02-24	cbbrowne	doc/support/tested-arch.txt	
Fixed typo, added more platforms

=================================

2005-02-24	cbbrowne	doc/adminguide/usingslonik.sgml	
More on the protocol of using Slony-I functions

=================================

2005-02-24	cbbrowne	doc/adminguide/slonik_ref.sgml	
Add references to the main stored functions used by each Slonik command

=================================

2005-02-25	cbbrowne	src/slon/scheduler.c	
Fix typo in comment - NO semantic change

=================================

2005-02-25	cbbrowne	src/slon/remote_worker.c	
Factored log shipping code that was integrated into the function sync_event()
into separate functions so that they may be used for other events as well.

Further functional changes:

 - archive header contains comment lines to indicate where the "header"
   ends and the 'body' of queries begins.  That will be useful for splitting
   the logs apart so that you test-apply the header (to see if it's valid)
   before then applying the Whole Log.  Blindly applying the Whole Thing
   is a bad idea because it introduces a boatload of parsing work for any
   log that is applied in inappropriate order.

 - more error checking has been introduced

   The "archive log" processing functions check return codes from
   fprintf() and such, and if they encounter errors, this will abort
   processing of the SYNC.

   There's still more to do in this regard; close_log_archive() does not
   yet check rcs...

=================================

2005-02-25	cbbrowne	doc/adminguide/logshipping.sgml	
Added additional comments about usage of log shipping

=================================

2005-02-25	cbbrowne	src/slon/remote_worker.c	
Add log shipping support to the DDL_SCRIPT event

=================================

2005-02-25	cbbrowne	doc/adminguide/logshipping.sgml	
The DDL_SCRIPT event is supported, with the result that log shipping
now _does_ cope with Slonik "execute script" requests.

=================================

2005-02-27	cbbrowne	tools/check_slon.sh,tools/check_slony_cluster.sh	
Add in John Sidney-Woollett <johnsw@wardbrook.com>'s Nagios scripts
for checking that Slony-I is running properly.

=================================

2005-02-27	cbbrowne	tools/README.checks	
Docs for John Sidney-Woollett's Nagios scripts

=================================

2005-02-28	cbbrowne	doc/adminguide/faq.sgml,doc/adminguide/help.sgml	
Have link to pgpool in FAQ

Add link to Freshmeat entry about Slony-I

=================================

2005-03-01	cbbrowne	doc/adminguide/slonik_ref.sgml	
Added in UPDATE FUNCTION; for some reason that hadn't made it into the
SGML documentation.

=================================

2005-03-03	cbbrowne	tools/check_slony_cluster.sh	
- Added in ability to query a remote host
- Mention the need to set PGPORT
- Needed to properly quote the cluster namespace
- psql often doesn't live in /usr/local/pgsql/bin; assume it to be in PATH

=================================

2005-03-03	cbbrowne	tools/check_slon.sh	
Portability changes:

1.  Use the appropriate ps command and options

    Script is aware of Linux, FreeBSD, Solaris, and AIX

2.  Fixed problem with line endings (that I probably introduced)

=================================

2005-03-07	cbbrowne	src/backend/slony1_funcs.sql,src/ducttape/test_8_logship,src/slon/cleanup_thread.c,src/slon/remote_worker.c,src/slon/slon.h	
Major changes to log shipping, allowing it to support substantially
all events (to the degree supportible).  Notably, COPY_SET now
copies the contents of tables in newly subscribed sets.

Also includes a new event, ACCEPT_SET, which addresses a race condition
where updates might be lost. If ACCEPT_SET is received before the
MOVE_SET has been processed, then the slon will wait until it has
received both.

=================================

2005-03-07	cbbrowne	doc/adminguide/failover.sgml,doc/adminguide/help.sgml,doc/adminguide/slonik_ref.sgml,doc/adminguide/usingslonik.sgml,src/ducttape/test_7_defines,src/slonik/scan.l	
Added scanner support for include and define

Flex scanner code as per Korry <korryd@hotmail.com>

cbbrowne added a ducttape script to test this facility as well as
documentation. Due to the addition of this facility, the documentation
describing the use of M4 for similar purpose has been dropped.

=================================

2005-03-07	cbbrowne	src/slon/confoptions.h	
There's a minor typo in src/slon/confoptions.h that confuses
Syslog_ident and Syslog_facility - this patch should correct it.

    -- Korry
    korryd@hotmail.com

=================================

2005-03-08	darcyb	doc/adminguide/slonconf.sgml,share/slon.conf-sample,src/slon/conf-file.l,src/slon/confoptions.h,src/slon/dbutils.c,src/slon/slon.h	
Add new conf option: sql_on_connection.
Description:
 Execute the enclosed SQL on each node serviced by this slon daemon at
 connect time it is usefull for setting ogging levels, or to tune the planner/memory memory used by slon.

=================================

2005-03-10	smsimms	tools/altperl/ToDo	
Removed the generate_listen_paths item and discussion, since it has
been implemented.

Added the following:

- The scripts are currently not compatible with "use strict".  They
  would probably become easier to follow if they were (particularly
  with regard to figuring out where variables are defined).

- We probably don't need one script per slonik command.  Which of
  these can be combined, preferably without having to implement pages
  of arcane command-line options.

- slon_start, slon_kill, and possibly slon_watchdog should be made
  into a slon_ctl shell script, with an /etc/init.d-compatible
  wrapper.

=================================

2005-03-10	smsimms	tools/altperl/slon_tools.conf-sample	
Removed a "my" keyword that limits the scope of Slony sets too much.

=================================

2005-03-10	smsimms	tools/altperl/README	
Rewrote the README file to reflect changes since 1.0.5.

=================================

2005-03-10	smsimms	doc/adminguide/adminscripts.sgml	
Document the existence of store_node.pl.

=================================

2005-03-10	cbbrowne	doc/adminguide/monitoring.sgml,tools/test_slony_state.pl	
Modified monitoring script so that it looks for some particular
problem values, and sends out email based on finding problems.

=================================

2005-03-10	cbbrowne	src/slon/cleanup_thread.c,src/slon/local_listen.c,src/slon/runtime_config.c,src/slon/scheduler.c,src/slon/slon.c,src/slon/slon.h	

signal handling watchdog using forked processes - Frank Thompson


Slony-I 1.1 Change Request:

The problem at hand is related to signal handling differences
in multithreaded programs between different operating
systems. In the slon process, it is intended that only the
"main" thread is dealing with signals and that it uses the
regular thread communication like mutexes and condition
variables to control all the other working threads.

That mutex and condition var communication sometimes can lock
up, which causes the entire slon daemon to freeze. This can in
extreme cases even happen after one of the working threads
sent the main thread a signal to restart the slon process.

What I had in mind to fix this is to have the program to
actually fork() very early on. The parent process will then be
the only one dealing with signals, while the childs ignores
all signals entirely. The parent and the master thread of the
child (which is the current slon) will communicate over a pipe
or a socketpair. This way, the parent could detect that the
slon stopped responding altogether and can issue a signal 9 to
cleanup the situation.

In other words, building a watchdog process right into the
slon executable.


Summary of Changes:

    slon main() will now fork() at the start and allow the parent
    process to handle cleanup, signal and termination of the child
    process.  The child process is the scheduler which will talk
    to the parent (watchdog) process and vice versa via two sets
    of socket pairs.  When shutting down the child process in the
    case of restart or termination, non blocking reads and writes
    are used to avoid lockups.  Failure to shutdown the scheduler
    process nicely, the parent will SIGKILL it to ensure timely
    operation within the signal handler.



    globals:

        slon.c
        ------
        int watchdog_pipe[2];        // socket pair to talk with child process
        int    sched_wakeuppipe[2];    // socket pair to talk with scheduler and parent process

        runtime_config.c
        ----------------
        pid_t slon_pid;                // current pid
        pid_t slon_ppid;            // parent pid
        pid_t slon_cpid;            // child pid

    macros:

        slon_abort() and slon_restart() will now observe which process
        in the tree they will act upon, parent or child

        #define slon_abort() 
        do { 
            kill((slon_ppid == 0 ? slon_pid : slon_ppid), SIGTERM); 
            pthread_exit(NULL); 
        } while (0)
        #define slon_restart() 
        do { 
            kill((slon_ppid == 0 ? slon_pid : slon_ppid), SIGHUP); 
        } while (0)

    functions:

        slon.c
        ------
        static void sighandler(int signo);                // new slon parent process signal handler
        static void main_sigalrmhandler(int signo);        // new scheduler alarm signal handler
        static void slon_kill_child(void);                // new pipe notify based child termination function

=================================

2005-03-10	smsimms	tools/altperl/store_node.pl	
New script to add a node to an existing cluster.

Based on init_cluster.pl, minus the "INIT CLUSTER" command, and only
adding paths and listens for the relevant node.

=================================

2005-03-11	cbbrowne	Win32/Makefile.backend,Win32/Makefile.xxid,Win32/README,Win32/README.compiling	
Add in some preliminary Win32 support; makefiles that may be helpful
for compiling xxid and backend functions.

=================================

2005-03-11	cbbrowne	tools/altperl/slon-tools.pm	
Bug #1152

Description:

    The query_slony_status function doesn't work with uppercase
    setnames (the watchdog2 script uses that function).
    workaround is to use \\"_$SETNAME\\" instead of _$SETNAME in the
    script, and to use my $result=`$SLON_BIN_PATH/psql -p $port -h
    $host -U slony --tuples-only $dbname --command="$query"`;
    as the query command (the username was missing there).

=================================

2005-03-11	cbbrowne	tools/altperl/slon-tools.pm	
Per Bug #1152, add -U $dbuser parameter to database query

=================================

2005-03-11	smsimms	tools/altperl/uninstall_nodes.pl	
Added --config and --help to uninstall_nodes.pl (last script).

According to the documentation for UNINSTALL NODE, it already handles
the various commands that were subsequently being sent to psql, so
I've removed them from this script.

Instead of just running UNINSTALL NODE on $MASTERNODE, run it on all
nodes, doing $MASTERNODE last.

=================================

2005-03-14	cbbrowne	src/slon/cleanup_thread.c	
Changes to address problems found when running multiple Slony-I
clusters against a single backend...

The problem is that if two slons are invoked at almost exactly the same
time, then the cleanup threads will be pretty nearly in phase with one
another. Which gives a (regrettably) excellent chance that both will try
doing an ANALYZE of pg_catalog.pg_listeners concurrently. They'll both
try to commit statistics for it, and one slon will therefore fail.

1.  At startup time, a random "bias" is calculated, and the slon
    sleeps up to an extra 100000ms (e.g. - 100s) between iterations

2.  A further "fuzz" of up to 100s is added

3.  The 7 tables are vacuumed in 7 separate queries

4.  If any of the vacuums fails, this is treated as a SLON_ERROR, not
    as a SLON_FATAL problem requiring that the slon fall over.

=================================

2005-03-15	cbbrowne	src/ducttape/test_1_pgbench,src/ducttape/test_1_pgbench_no_node1,src/ducttape/test_2_pgbench,src/ducttape/test_3_pgbench,src/ducttape/test_4_pgbench,src/ducttape/test_5_pgbench,src/ducttape/test_7_defines	
Fix a bunch of misspellings

=================================

2005-03-15	cbbrowne	tools/test_slony_state.pl	
Need to properly quote cluster name, as reported by Thomas Pundt...

=================================

2005-03-15	cbbrowne	doc/adminguide/slon.sgml,doc/adminguide/slonik.sgml,doc/adminguide/slonik_ref.sgml,doc/adminguide/slony.sgml	
Added link to slonconf.sgml, and make sure that new documentation
is included

=================================

2005-03-15	cbbrowne	tools/test_slony_state-dbi.pl	
Add a DBI-based state tester

=================================

2005-03-15	cbbrowne	doc/adminguide/plainpaths.sgml	
Discussion of added diagram

=================================

2005-03-15	cbbrowne	doc/adminguide/complexenv.dia,doc/adminguide/complexenv.png	
Added a network diagram for discussion purposes

=================================

2005-03-15	cbbrowne	tools/test_slony_replication.pl	
Cluster names need to be quoted in case they are in caps.

=================================

2005-03-15	cbbrowne	src/ducttape/test_1_pgbench,src/ducttape/test_1_pgbench_no_node1,src/ducttape/test_2_pgbench,src/ducttape/test_3_pgbench,src/ducttape/test_4_pgbench,src/ducttape/test_5_pgbench,src/ducttape/test_6_autolisten,src/ducttape/test_7_defines,src/ducttape/test_8_logship	
Fix widespread problem with checking Make version; needed to
quote $CGNU because it typically contains a multiword result.

=================================

2005-03-16	cbbrowne	src/slon/remote_worker.c	
Change the SUBSCRIBE_SET event so that it starts by checking for
the availability of tables on the subscriber node, and subscribes
sequences _BEFORE_ copying all the data.

That way we find problems before doing 8h of copying of data...

As suggested by Hannu Krosing

=================================

2005-03-16	smsimms	tools/altperl/slon_watchdog.pl	
Vary the sleep_seconds by up to 50% in either direction.  This will
help prevent watchdog processes from all firing at the same time.

=================================

2005-03-16	cbbrowne	debian/changelog,debian/compat,debian/control,debian/copyright,debian/dirs,debian/docs,debian/files,debian/rules,debian/slony1.substvars	
Add Debian packaging control files, contributed by Tim Goodaire
<tgoodair@ca.afilias.info>

=================================

2005-03-16	smsimms	tools/altperl/execute_script.pl	
Added a "-c" to execute_script.pl, a la psql.  If you only want to run
a small number of commands, this saves you the trouble of putting them
into a file first.

Removed the "node#" argument since this is derivable.  Replaced it
with a --node option so that it can be overridden if necessary.

Added an error check to make sure the set exists in the configuration
file.

=================================

2005-03-16	smsimms	tools/altperl/slon_kill.pl	
Add an option to only kill watchdogs, not slons.

Some mild reformatting as well.

=================================

2005-03-17	darcyb	aclocal.m4,config.h.in,configure,configure.ac,config/libc.m4,src/slon/slon.c	
Update sigaction flags to conform to POSIX standard.  Add configure test to ensure we have SA_NODEFER as a sigaction flag.

=================================

2005-03-17	cbbrowne	src/slon/cleanup_thread.c	
cleanup thread uses Slony-I stored procedure getMinXid() instead of
trying to draw it out of pg_locks, eliminating the need to compare
values.

=================================

2005-03-18	xfade	src/slon/misc.h,src/slon/snmp_thread.c	
Change slon/misc.h and slon/snmp_thread.c to include c.h in the same manner as slon.c does. This fixes compiling when the includedir is not the parent dir of includedir-server.

=================================

2005-03-18	smsimms	tools/altperl/slon-tools.pm	
Backwards-compatibility fix: allow set# to be passed as setd+ in
addition to d+.

I accidentally broke this while adding setname support.

=================================

2005-03-21	cbbrowne	src/ducttape/test_1_pgbench,src/ducttape/test_2_pgbench,src/ducttape/test_3_pgbench,src/ducttape/test_4_pgbench,src/ducttape/test_5_pgbench,src/ducttape/test_6_autolisten,src/ducttape/test_7_defines,src/ducttape/test_8_logship	
Fixed problem with evaluation of whether to use "make" or "gmake";
running this on AIX showed off that the output of "which gmake"
can be an enormous string as opposed to the shell returning
bad return codes...

=================================

2005-03-22	smsimms	tools/check_slony_cluster.sh	
Patch from Vivek Khera:

This patch de-bash-ifies the script, so it runs on /bin/sh under
freebsd.  it still runs under bash, of course...

=================================

2005-03-23	darcyb	src/slon/scheduler.c,src/slon/slon.c	
From Andreas Pflug <pgadmin@pse-consulting.de>:

In schedule.c and slon.c, pthread_self() result is compared with a
pthread_t variable, which isn't the recommended way to check for
equality; instead pthread_equal should be used. Under win32 this fails,
because pthread_t isn't a simple value. The attached file provides a
patch for this, and should make this portable for all pthread_t platforms.

=================================

2005-03-23	cbbrowne	doc/adminguide/Makefile,doc/adminguide/README,doc/adminguide/logshipping.sgml,doc/adminguide/slon.sgml	
Fixed makefile to build HTML output if you just type 'make'

Updates to log shipping documentation

Fixes to slon documentation, including adding in the names of internal
variables that are controlled by the slon command line parameters

=================================

2005-03-23	darcyb	Makefile.global.in,configure,configure.ac,config/docs.m4,config/libc.m4,doc/Makefile,doc/adminguide/Makefile,doc/adminguide/bookindex.sgml,doc/concept/Makefile,doc/howto/Makefile,doc/implementation/Makefile,makefiles/Makefile.win,src/slon/slon.c	
Whole raft of changes.
A)  use signal() on win32 since there is no sigaction under that platform
B)  have make install now install documentation if --with-docdir=<dir> is defined,  This will have to be updated to have docs installed by default.

=================================

2005-03-25	xfade	tools/altperl/Makefile	
Fix make clean. Added -f to the rm statements. This prevents an error from being raised if a file is not there.

=================================

2005-03-25	xfade	src/slon/slon.c	
Fix cywin macro.

=================================

2005-03-25	xfade	config/acx_pthread.m4,makefiles/Makefile.win,src/slon/Makefile	
Fix cygwin build. Added a cygwin case to the phread macro. Added the CPPFLAGS to the Makefile.win. Override the CFLAGS in slon/Makefile to ensure that config.h can be found.

=================================

2005-03-29	cbbrowne	src/slon/confoptions.h	
Two changes to options:

1.  Maximum SYNC grouping changed to 10000

Rod Taylor reports a need for Big Grouping for cases where replication
falls WAY behind after copying Very Large replication sets.  Query plans
can 'head pathological' such that things revert to Seq Scans, and if
you're doing a huge Seq Scan, you might as well process a bunch of groups
in view of the up-front cost of the Seq Scan

2.  Maximum desired_sync_time increased to 6000000

To support the above, potentially...

=================================

2005-03-29	cbbrowne	src/slon/remote_worker.c	
If desired sync time is zero, then eliminate evaluation of the
"desired sync time" logic.

=================================

2005-03-29	cbbrowne	src/slon/cleanup_thread.c	
Changes to cleanup thread

1.  Vacuum pg_statistic

2.  Change calculation of random biases (e.g. - vac_bias and the
    per-iteration random value) to be proportional to SLON_CLEANUP_SLEEP.
    That way, if one modifies SLON_CLEANUP_SLEEP, the random adjustments
    will neither dominate nor disappear.

3.  Change log message to describe the _real_ error - being unable to
    process the getMinXid() query.  (It was referring to the old
    approach where it was looking at pg_locks.)

=================================

2005-03-30	cbbrowne	doc/adminguide/help.sgml	
Add a link to a Russian HOWTO document for Slony-I.

=================================

2005-03-30	xfade	src/backend/slony1_funcs.c	
First step of implementing slon_quote_ident. This adds code taken from PostgreSQL -HEAD. Our function now quotes all identifiers known by your version of PostgreSQL.

=================================

2005-04-02	xfade	config/libc.m4	
Add test to keep mingw from halting with an error.

=================================

2005-04-06	darcyb	configure,configure.ac	
Mark snmp support as experimental, which it is currently.

=================================

2005-04-06	darcyb	src/backend/slony1_funcs.v74.sql	
Since as of 7.4 truncate is transaction safe, lets use it in an effort to help performance along during a aborted subscribe.

=================================

2005-04-11	cbbrowne	src/ducttape/test_9_fileconf	
Add a test where configuration for slons is passed in via configuration
files rather than as command line parameters

=================================

2005-04-11	cbbrowne	src/ducttape/test_1_pgbench	
Make options consistent with other scripts

=================================

2005-04-11	cbbrowne	src/slon/confoptions.h	
Fix typos

=================================

2005-04-11	cbbrowne	doc/adminguide/logshipping.sgml,doc/adminguide/slon.sgml,doc/adminguide/slonconf.sgml	
More docs for log shipping and on the slon options

=================================

2005-04-11	xfade	src/backend/slony1_funcs.sql	
This patch adds two new functions:

- slon_quote_brute is used in internal functions to add quotes around
identifiers. It replaces all calls to quote_ident in all our functions. This
way we quote every identifier, instead of just the reserved ones.

Pro: we catch every problem with names in Caps and reserved words.
Con: This will increase the size of a row in sl_log_1, as everything is
quoted.

- slon_quote_input is used in internal functions to make sure that user input
is quoted properly.

Known issues:
Indexes with problematic names are not supported yet!


This patch touches a lot of functions, so please test this while we are still
in beta!

=================================

